﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

.single-line-ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.left {
    float: left;
}

.right {
    float: right;
}
/* styles for '...' */
.block-with-text {
    text-indent: 2em;
    /* hide text if it more than N lines  */
    overflow: hidden;
    /* for set '...' in absolute position */
    position: relative;
    /* use this value to count block height */
    line-height: 1.2em;
    /* max-height = line-height (1.2) * lines max number (3) */
    max-height: 3.6em;
    /* fix problem when last visible word doesn't adjoin right side  */
    text-align: justify;
    /* place for '...' */
    margin-right: -1em;
    padding-right: 1em;
}
    /* create the ... */
    .block-with-text:before {
        /* points in the end */
        content: '...';
        /* absolute position */
        position: absolute;
        /* set position to right bottom corner of block */
        right: 0;
        bottom: 0;
    }
    /* hide ... if we have text, which is less than or equal to max lines */
    .block-with-text:after {
        /* points in the end */
        content: '';
        /* absolute position */
        position: absolute;
        /* set position to right bottom corner of text */
        right: 0;
        /* set width and height */
        width: 1em;
        height: 1em;
        margin-top: 0.2em;
        /* bg color = bg color under block */
        background: white;
    }


/**新闻排行榜样式**/
#news-ranking-container .news-ranking .news-ranking-item a {
    color: inherit;
    text-decoration: none;
}

#news-ranking-container .news-ranking .news-ranking-item span:first-of-type {
    margin-right: 15px;
}

#news-ranking-container .news-ranking .news-ranking-item:nth-of-type(1) span:first-of-type {
    color: red;
}

#news-ranking-container .news-ranking .news-ranking-item:nth-of-type(2) span:first-of-type {
    color: red;
    /*margin-right: 5px;*/
}

#news-ranking-container .news-ranking .news-ranking-item:nth-of-type(3) span:first-of-type {
    color: red;
    /*margin-right: 5px;*/
}
/****/
.title-header {
    height: 35px;
    margin-bottom: 8px;
}

    .title-header .title {
        font-family: 'Microsoft YaHei';
        font-size: 2.4rem;
        display: inline-block;
        float: left;
        margin-left: -10px;
    }

.more {
    font-size: 14px;
    font-size: 10px;
    display: inline-block;
    float: right;
    margin-top: 6px;
    color: #A4A4A4;
}

    .more a {
        color: #A4A4A4;
    }

.title-header .triangle {
    float: left;
    width: 25px;
    height: 25px;
    display: inline-block;
    border-width: 15px;
    border-style: solid;
    border-color: transparent transparent transparent #007bff;
}
